// MSGetDataSize.h
//
// Original version by Jon Lansdell and Nigel Humphreys.
// 4.0 and 3.1 updates by Greg Sutton.
// Apple Computer Inc 1996, all rights reserved.

#ifndef __MSAEGETDATASIZE__
#define __MSAEGETDATASIZE__

#include <AppleEvents.h>
#include <AEObjects.h>
#include <AERegistry.h>

#include "MSToken.h"

pascal OSErr	DoGetDataSize(const AppleEvent *theAppleEvent, AppleEvent *reply, long refcon);

OSErr			GetDataSizeTextToken(TextToken* theToken, AEDesc* result);
OSErr			GetDataSizeTextDesc(AEDesc* textDesc, AEDesc* result);
OSErr			GetDataSizeDesc(AEDesc* aDesc, DescType reqType, AEDesc* result);

#endif
