#   File:       MenuScripter.make
#   Target:     MenuScripter
#   Sources:    :Sources:MS.r
#				:Sources:Offscreen.c
#				:Sources:MSAccessors.c
#				:Sources:MSAEClone.c
#				:Sources:MSAEClose.c
#				:Sources:MSAECoercions.c
#				:Sources:MSAECompare.c
#				:Sources:MSAECopy.c
#				:Sources:MSAECountElements.c
#				:Sources:MSAECreate.c
#				:Sources:MSAECut.c
#				:Sources:MSAEDelete.c
#				:Sources:MSAEGetData.c
#				:Sources:MSAEGetDataSize.c
#				:Sources:MSAEMove.c
#				:Sources:MSAEObjectsExist.c
#				:Sources:MSAEPaste.c
#				:Sources:MSAERecording.c
#				:Sources:MSAERevert.c
#				:Sources:MSAESave.c
#				:Sources:MSAESelect.c
#				:Sources:MSAESetData.c
#				:Sources:MSAETextUtils.c
#				:Sources:MSAEWindowUtils.c
#				:Sources:MSAppleEvents.c
#				:Sources:MSDrag.c
#				:Sources:MSAEUtils.c
#				:Sources:MSFile.c
#				:Sources:MSGlobals.c
#				:Sources:MSGXPrinting.c
#				:Sources:MSMain.c
#				:Sources:MSUtils.c
#				:Sources:MSWindow.c


MAKEFILE     = MenuScripter.make
MondoBuild = #{MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
Includes     =  
SymPPC      = 
ObjDirPPC   = :ObjectsPPC:
Sym68K      = 
ObjDir68K   = :Objects68K:

PPCCOptions  = {Includes} {SymPPC} -w off 

COptions     = {Includes} {Sym68K} -w off -model far

ObjectsPPC  = 
		"{ObjDirPPC}Offscreen.c.x" 
		"{ObjDirPPC}MSAccessors.c.x" 
		"{ObjDirPPC}MSAEClone.c.x" 
		"{ObjDirPPC}MSAEClose.c.x" 
		"{ObjDirPPC}MSAECoercions.c.x" 
		"{ObjDirPPC}MSAECompare.c.x" 
		"{ObjDirPPC}MSAECopy.c.x" 
		"{ObjDirPPC}MSAECountElements.c.x" 
		"{ObjDirPPC}MSAECreate.c.x" 
		"{ObjDirPPC}MSAECut.c.x" 
		"{ObjDirPPC}MSAEDelete.c.x" 
		"{ObjDirPPC}MSAEGetData.c.x" 
		"{ObjDirPPC}MSAEGetDataSize.c.x" 
		"{ObjDirPPC}MSAEMove.c.x" 
		"{ObjDirPPC}MSAEObjectsExist.c.x" 
		"{ObjDirPPC}MSAEPaste.c.x" 
		"{ObjDirPPC}MSAERecording.c.x" 
		"{ObjDirPPC}MSAERevert.c.x" 
		"{ObjDirPPC}MSAESave.c.x" 
		"{ObjDirPPC}MSAESelect.c.x" 
		"{ObjDirPPC}MSAESetData.c.x" 
		"{ObjDirPPC}MSAETextUtils.c.x" 
		"{ObjDirPPC}MSAEWindowUtils.c.x" 
		"{ObjDirPPC}MSAppleEvents.c.x" 
		"{ObjDirPPC}MSDrag.c.x" 
		"{ObjDirPPC}MSAEUtils.c.x" 
		"{ObjDirPPC}MSFile.c.x" 
		"{ObjDirPPC}MSGlobals.c.x" 
		"{ObjDirPPC}MSGXPrinting.c.x" 
		"{ObjDirPPC}MSMain.c.x" 
		"{ObjDirPPC}MSUtils.c.x" 
		"{ObjDirPPC}MSWindow.c.x" 
		"{ObjDirPPC}QDLibrary.c.x" 
		"{ObjDirPPC}MSResultWind.c.x" 
		"{ObjDirPPC}MSASSubroutines.c.x" 
		"{ObjDirPPC}MSScript.c.x" 
		"{ObjDirPPC}MSAEMenuUtils.c.x" 


Objects68K  = 
		"{ObjDir68K}Offscreen.c.o" 
		"{ObjDir68K}MSAccessors.c.o" 
		"{ObjDir68K}MSAEClone.c.o" 
		"{ObjDir68K}MSAEClose.c.o" 
		"{ObjDir68K}MSAECoercions.c.o" 
		"{ObjDir68K}MSAECompare.c.o" 
		"{ObjDir68K}MSAECopy.c.o" 
		"{ObjDir68K}MSAECountElements.c.o" 
		"{ObjDir68K}MSAECreate.c.o" 
		"{ObjDir68K}MSAECut.c.o" 
		"{ObjDir68K}MSAEDelete.c.o" 
		"{ObjDir68K}MSAEGetData.c.o" 
		"{ObjDir68K}MSAEGetDataSize.c.o" 
		"{ObjDir68K}MSAEMove.c.o" 
		"{ObjDir68K}MSAEObjectsExist.c.o" 
		"{ObjDir68K}MSAEPaste.c.o" 
		"{ObjDir68K}MSAERecording.c.o" 
		"{ObjDir68K}MSAERevert.c.o" 
		"{ObjDir68K}MSAESave.c.o" 
		"{ObjDir68K}MSAESelect.c.o" 
		"{ObjDir68K}MSAESetData.c.o" 
		"{ObjDir68K}MSAETextUtils.c.o" 
		"{ObjDir68K}MSAEWindowUtils.c.o" 
		"{ObjDir68K}MSAppleEvents.c.o" 
		"{ObjDir68K}MSDrag.c.o" 
		"{ObjDir68K}MSAEUtils.c.o" 
		"{ObjDir68K}MSFile.c.o" 
		"{ObjDir68K}MSGlobals.c.o" 
		"{ObjDir68K}MSGXPrinting.c.o" 
		"{ObjDir68K}MSMain.c.o" 
		"{ObjDir68K}MSUtils.c.o" 
		"{ObjDir68K}MSWindow.c.o" 
		"{ObjDir68K}QDLibrary.c.o" 
		"{ObjDir68K}MSResultWind.c.o" 
		"{ObjDir68K}MSASSubroutines.c.o" 
		"{ObjDir68K}MSScript.c.o" 
		"{ObjDir68K}MSAEMenuUtils.c.o" 
		

MenuScripter  {MondoBuild} {ObjectsPPC}
	PPCLink 
		-o {Targ} {SymPPC} 
		{ObjectsPPC} 
		-t 'APPL' 
		-c 'SVEd' 
		"{SharedLibraries}"DragLib 
		"{SharedLibraries}"InterfaceLib 
		"{SharedLibraries}"StdCLib 
		"{SharedLibraries}"ObjectSupportLib 
		"{SharedLibraries}"AppleScriptLib 
		"{PPCLibraries}"QuickDrawGXLib.xcoff 
		"{PPCLibraries}"StdCRuntime.o 
		"{PPCLibraries}"PPCCRuntime.o 
		"{PPCLibraries}"PPCToolLibs.o 
		-librename QuickDrawGXLib.xcoff=QuickDrawGXLib 
		-weakLib QuickDrawGXLib 
		-weakLib DragLib

	
MenuScripter  {MondoBuild} {Objects68K}
	Link 
	    -model far 
		-o {Targ} -d {Sym68K} 
		{Objects68K} 
		-t 'APPL' 
		-c 'SVEd' 
		"{CLibraries}"StdCLib.o 
		"{Libraries}"Interface.o 
		"{Libraries}"MacRuntime.o 
		"{Libraries}"IntEnv.o 
		"{Libraries}"AEObjectSupportLib.o 

MenuScripter  {MondoBuild} :Sources:MenuScripter.r
	Rez :Sources:MenuScripter.r -o {Targ} {Includes} -append

MenuScripter  {MondoBuild} :Sources:MenuScripterPPC.r
	Rez :Sources:MenuScripterPPC.r -o {Targ} {Includes} -append
	
#68K dependencies

"{ObjDir68K}Offscreen.c.o"  {MondoBuild} :Sources:Offscreen.c :Sources:Offscreen.h
	{C} :Sources:Offscreen.c -o {Targ} {COptions}

"{ObjDir68K}MSAccessors.c.o"  {MondoBuild} :Sources:MSAccessors.c :Sources:MSAccessors.h :Sources:MSGlobals.h
	{C} :Sources:MSAccessors.c -o {Targ} {COptions}

"{ObjDir68K}MSAEClone.c.o"  {MondoBuild} :Sources:MSAEClone.c :Sources:MSAEClone.h :Sources:MSGlobals.h
	{C} :Sources:MSAEClone.c -o {Targ} {COptions}

"{ObjDir68K}MSAEClose.c.o"  {MondoBuild} :Sources:MSAEClose.c :Sources:MSAEClose.h :Sources:MSGlobals.h
	{C} :Sources:MSAEClose.c -o {Targ} {COptions}

"{ObjDir68K}MSAECoercions.c.o"  {MondoBuild} :Sources:MSAECoercions.c :Sources:MSAECoercions.h :Sources:MSGlobals.h
	{C} :Sources:MSAECoercions.c -o {Targ} {COptions}

"{ObjDir68K}MSAECompare.c.o"  {MondoBuild} :Sources:MSAECompare.c :Sources:MSAECompare.h :Sources:MSGlobals.h
	{C} :Sources:MSAECompare.c -o {Targ} {COptions}

"{ObjDir68K}MSAECopy.c.o"  {MondoBuild} :Sources:MSAECopy.c :Sources:MSAECopy.h :Sources:MSGlobals.h
	{C} :Sources:MSAECopy.c -o {Targ} {COptions}

"{ObjDir68K}MSAECountElements.c.o"  {MondoBuild} :Sources:MSAECountElements.c  :Sources:MSAECountElements.h :Sources:MSGlobals.h
	{C} :Sources:MSAECountElements.c -o {Targ} {COptions}

"{ObjDir68K}MSAECreate.c.o"  {MondoBuild} :Sources:MSAECreate.c :Sources:MSAECreate.h :Sources:MSGlobals.h
	{C} :Sources:MSAECreate.c -o {Targ} {COptions}

"{ObjDir68K}MSAECut.c.o"  {MondoBuild} :Sources:MSAECut.c :Sources:MSAECut.h :Sources:MSGlobals.h
	{C} :Sources:MSAECut.c -o {Targ} {COptions}

"{ObjDir68K}MSAEDelete.c.o"  {MondoBuild} :Sources:MSAEDelete.c  :Sources:MSAEDelete.h :Sources:MSGlobals.h
	{C} :Sources:MSAEDelete.c -o {Targ} {COptions}

"{ObjDir68K}MSAEGetData.c.o"  {MondoBuild} :Sources:MSAEGetData.c  :Sources:MSAEGetData.h :Sources:MSGlobals.h
	{C} :Sources:MSAEGetData.c -o {Targ} {COptions}

"{ObjDir68K}MSAEGetDataSize.c.o"  {MondoBuild} :Sources:MSAEGetDataSize.c  :Sources:MSAEGetDataSize.h :Sources:MSGlobals.h
	{C} :Sources:MSAEGetDataSize.c -o {Targ} {COptions}

"{ObjDir68K}MSAEMove.c.o"  {MondoBuild} :Sources:MSAEMove.c  :Sources:MSAEMove.h :Sources:MSGlobals.h
	{C} :Sources:MSAEMove.c -o {Targ} {COptions}

"{ObjDir68K}MSAEObjectsExist.c.o"  {MondoBuild} :Sources:MSAEObjectsExist.c :Sources:MSAEObjectsExist.h :Sources:MSGlobals.h
	{C} :Sources:MSAEObjectsExist.c -o {Targ} {COptions}

"{ObjDir68K}MSAEPaste.c.o"  {MondoBuild} :Sources:MSAEPaste.c  :Sources:MSAEPaste.h :Sources:MSGlobals.h
	{C} :Sources:MSAEPaste.c -o {Targ} {COptions}

"{ObjDir68K}MSAERecording.c.o"  {MondoBuild} :Sources:MSAERecording.c  :Sources:MSAERecording.h :Sources:MSGlobals.h
	{C} :Sources:MSAERecording.c -o {Targ} {COptions}

"{ObjDir68K}MSAERevert.c.o"  {MondoBuild} :Sources:MSAERevert.c :Sources:MSAERevert.h :Sources:MSGlobals.h
	{C} :Sources:MSAERevert.c -o {Targ} {COptions}

"{ObjDir68K}MSAESave.c.o"  {MondoBuild} :Sources:MSAESave.c  :Sources:MSAESave.h :Sources:MSGlobals.h
	{C} :Sources:MSAESave.c -o {Targ} {COptions}

"{ObjDir68K}MSAESelect.c.o"  {MondoBuild} :Sources:MSAESelect.c  :Sources:MSAESelect.h :Sources:MSGlobals.h
	{C} :Sources:MSAESelect.c -o {Targ} {COptions}

"{ObjDir68K}MSAESetData.c.o"  {MondoBuild} :Sources:MSAESetData.c  :Sources:MSAESetData.h :Sources:MSGlobals.h
	{C} :Sources:MSAESetData.c -o {Targ} {COptions}

"{ObjDir68K}MSAETextUtils.c.o"  {MondoBuild} :Sources:MSAETextUtils.c  :Sources:MSAETextUtils.h :Sources:MSGlobals.h
	{C} :Sources:MSAETextUtils.c -o {Targ} {COptions}

"{ObjDir68K}MSAEWindowUtils.c.o"  {MondoBuild} :Sources:MSAEWindowUtils.c :Sources:MSAEWindowUtils.h :Sources:MSGlobals.h
	{C} :Sources:MSAEWindowUtils.c -o {Targ} {COptions}

"{ObjDir68K}MSAppleEvents.c.o"  {MondoBuild} :Sources:MSAppleEvents.c :Sources:MSAppleEvents.h :Sources:MSGlobals.h
	{C} :Sources:MSAppleEvents.c -o {Targ} {COptions}

"{ObjDir68K}MSDrag.c.o"  {MondoBuild} :Sources:MSDrag.c :Sources:MSDrag.h :Sources:MSGlobals.h
	{C} :Sources:MSDrag.c -o {Targ} {COptions}

"{ObjDir68K}MSAEUtils.c.o"  {MondoBuild} :Sources:MSAEUtils.c :Sources:MSAEUtils.h :Sources:MSGlobals.h
	{C} :Sources:MSAEUtils.c -o {Targ} {COptions}

"{ObjDir68K}MSFile.c.o"  {MondoBuild} :Sources:MSFile.c :Sources:MSFile.h :Sources:MSGlobals.h
	{C} :Sources:MSFile.c -o {Targ} {COptions}

"{ObjDir68K}MSGlobals.c.o"  {MondoBuild} :Sources:MSGlobals.c :Sources:MSGlobals.h
	{C} :Sources:MSGlobals.c -o {Targ} {COptions}

"{ObjDir68K}MSGXPrinting.c.o"  {MondoBuild} :Sources:MSGXPrinting.c  :Sources:MSGXPrinting.h :Sources:MSGlobals.h
	{C} :Sources:MSGXPrinting.c -o {Targ} {COptions} -i "{CIncludes}GX Compatibility Interfaces" -i "{CIncludes}GX Libraries:"

"{ObjDir68K}MSMain.c.o"  {MondoBuild} :Sources:MSMain.c :Sources:MSMain.h :Sources:MSGlobals.h
	{C} :Sources:MSMain.c -o {Targ} {COptions}

"{ObjDir68K}MSUtils.c.o"  {MondoBuild} :Sources:MSUtils.c :Sources:MSUtils.h :Sources:MSGlobals.h
	{C} :Sources:MSUtils.c -o {Targ} {COptions}

"{ObjDir68K}MSWindow.c.o"  {MondoBuild} :Sources:MSWindow.c :Sources:MSWindow.h :Sources:MSGlobals.h
	{C} :Sources:MSWindow.c -o {Targ} {COptions}  -i "{CIncludes}GX Compatibility Interfaces"

"{ObjDir68K}MSResultWind.c.o"  {MondoBuild} :Sources:MSResultWind.c :Sources:MSResultWind.h :Sources:MSGlobals.h
	{C} :Sources:MSResultWind.c -o {Targ} {COptions} 

"{ObjDir68K}MSASSubroutines.c.o"  {MondoBuild} :Sources:MSASSubroutines.c :Sources:MSASSubroutines.h :Sources:MSGlobals.h
	{C} :Sources:MSASSubroutines.c -o {Targ} {COptions} 

"{ObjDir68K}MSScript.c.o"  {MondoBuild} :Sources:MSScript.c :Sources:MSScript.h :Sources:MSGlobals.h
	{C} :Sources:MSScript.c -o {Targ} {COptions}

"{ObjDir68K}MSAEMenuUtils.c.o"  {MondoBuild} :Sources:MSAEMenuUtils.c :Sources:MSAEMenuUtils.h :Sources:MSAEMenuUtils.h
	{C} :Sources:MSAEMenuUtils.c -o {Targ} {COptions}

"{ObjDir68K}QDLibrary.c.o"  {MondoBuild} "{CIncludes}GX Libraries:QDLibrary.c"
	{C} "{CIncludes}GX Libraries:QDLibrary.c" -o {Targ} {COptions}
	

#PPC dependencies

"{ObjDirPPC}Offscreen.c.x"  {MondoBuild} :Sources:Offscreen.c :Sources:Offscreen.h
	{PPCC} :Sources:Offscreen.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAccessors.c.x"  {MondoBuild} :Sources:MSAccessors.c :Sources:MSAccessors.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSAccessors.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAEClone.c.x"  {MondoBuild} :Sources:MSAEClone.c :Sources:MSAEClone.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSAEClone.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAEClose.c.x"  {MondoBuild} :Sources:MSAEClose.c :Sources:MSAEClose.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSAEClose.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAECoercions.c.x"  {MondoBuild} :Sources:MSAECoercions.c :Sources:MSAECoercions.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSAECoercions.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAECompare.c.x"  {MondoBuild} :Sources:MSAECompare.c :Sources:MSAECompare.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSAECompare.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAECopy.c.x"  {MondoBuild} :Sources:MSAECopy.c :Sources:MSAECopy.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSAECopy.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAECountElements.c.x"  {MondoBuild} :Sources:MSAECountElements.c  :Sources:MSAECountElements.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSAECountElements.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAECreate.c.x"  {MondoBuild} :Sources:MSAECreate.c :Sources:MSAECreate.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSAECreate.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAECut.c.x"  {MondoBuild} :Sources:MSAECut.c :Sources:MSAECut.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSAECut.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAEDelete.c.x"  {MondoBuild} :Sources:MSAEDelete.c  :Sources:MSAEDelete.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSAEDelete.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAEGetData.c.x"  {MondoBuild} :Sources:MSAEGetData.c  :Sources:MSAEGetData.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSAEGetData.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAEGetDataSize.c.x"  {MondoBuild} :Sources:MSAEGetDataSize.c  :Sources:MSAEGetDataSize.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSAEGetDataSize.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAEMove.c.x"  {MondoBuild} :Sources:MSAEMove.c  :Sources:MSAEMove.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSAEMove.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAEObjectsExist.c.x"  {MondoBuild} :Sources:MSAEObjectsExist.c :Sources:MSAEObjectsExist.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSAEObjectsExist.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAEPaste.c.x"  {MondoBuild} :Sources:MSAEPaste.c  :Sources:MSAEPaste.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSAEPaste.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAERecording.c.x"  {MondoBuild} :Sources:MSAERecording.c  :Sources:MSAERecording.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSAERecording.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAERevert.c.x"  {MondoBuild} :Sources:MSAERevert.c :Sources:MSAERevert.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSAERevert.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAESave.c.x"  {MondoBuild} :Sources:MSAESave.c  :Sources:MSAESave.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSAESave.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAESelect.c.x"  {MondoBuild} :Sources:MSAESelect.c  :Sources:MSAESelect.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSAESelect.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAESetData.c.x"  {MondoBuild} :Sources:MSAESetData.c  :Sources:MSAESetData.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSAESetData.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAETextUtils.c.x"  {MondoBuild} :Sources:MSAETextUtils.c  :Sources:MSAETextUtils.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSAETextUtils.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAEWindowUtils.c.x"  {MondoBuild} :Sources:MSAEWindowUtils.c :Sources:MSAEWindowUtils.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSAEWindowUtils.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAppleEvents.c.x"  {MondoBuild} :Sources:MSAppleEvents.c :Sources:MSAppleEvents.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSAppleEvents.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSDrag.c.x"  {MondoBuild} :Sources:MSDrag.c :Sources:MSDrag.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSDrag.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAEUtils.c.x"  {MondoBuild} :Sources:MSAEUtils.c :Sources:MSAEUtils.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSAEUtils.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSFile.c.x"  {MondoBuild} :Sources:MSFile.c :Sources:MSFile.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSFile.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSGlobals.c.x"  {MondoBuild} :Sources:MSGlobals.c :Sources:MSGlobals.h
	{PPCC} :Sources:MSGlobals.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSGXPrinting.c.x"  {MondoBuild} :Sources:MSGXPrinting.c  :Sources:MSGXPrinting.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSGXPrinting.c -o {Targ} {PPCCOptions} -i "{CIncludes}GX Compatibility Interfaces" -i "{CIncludes}GX Libraries:"

"{ObjDirPPC}MSMain.c.x"  {MondoBuild} :Sources:MSMain.c :Sources:MSMain.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSMain.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSUtils.c.x"  {MondoBuild} :Sources:MSUtils.c :Sources:MSUtils.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSUtils.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSWindow.c.x"  {MondoBuild} :Sources:MSWindow.c :Sources:MSWindow.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSWindow.c -o {Targ} {PPCCOptions}  -i "{CIncludes}GX Compatibility Interfaces"

"{ObjDirPPC}MSResultWind.c.x"  {MondoBuild} :Sources:MSResultWind.c :Sources:MSResultWind.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSResultWind.c -o {Targ} {PPCCOptions} -noMapCR

"{ObjDirPPC}MSASSubroutines.c.x"  {MondoBuild} :Sources:MSASSubroutines.c :Sources:MSASSubroutines.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSASSubroutines.c -o {Targ} {PPCCOptions} 

"{ObjDirPPC}MSScript.c.x"  {MondoBuild} :Sources:MSScript.c :Sources:MSScript.h :Sources:MSGlobals.h
	{PPCC} :Sources:MSScript.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAEMenuUtils.c.x"  {MondoBuild} :Sources:MSAEMenuUtils.c :Sources:MSAEMenuUtils.h :Sources:MSAEMenuUtils.h
	{PPCC} :Sources:MSAEMenuUtils.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}QDLibrary.c.x"  {MondoBuild} "{CIncludes}GX Libraries:QDLibrary.c"
	{PPCC} "{CIncludes}GX Libraries:QDLibrary.c" -o {Targ} {PPCCOptions}
