// MSAESave.h
//
// Original version by Jon Lansdell and Nigel Humphreys.
// 4.0 and 3.1 updates by Greg Sutton.
// Apple Computer Inc 1996, all rights reserved.

#ifndef __MSAESAVE__
#define __MSAESAVE__

#include <AppleEvents.h>
#include <AEObjects.h>
#include <AERegistry.h>

#include "MSToken.h"

pascal OSErr	DoSaveWindow(const AppleEvent *theAppleEvent, AppleEvent *reply, long refcon);

OSErr			SaveDocumentToken(WindowToken* theToken, FSSpec* destFSSpec);
OSErr			SaveDocumentDesc(AEDesc* windowDesc, FSSpec* destFSSpec);
OSErr			SaveDesc(AEDesc* aDesc, FSSpec* destFSSpec);

#endif



